
Redmine - Defect #17175

It's not possible to remove Assignee from ticket

2014-06-13 13:58 - Alexander Muthmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.5.1

Description

If you try to remove an assignee from a ticket, you can either use the bulk or detail view. In both cases, changing the assignee to

<<nobody>> or "  " will not work.

There seems to be a missing assigned_to_id field in the UPDATE statement:

   (1.6ms)  UPDATE `issues` SET `updated_on` = '2014-06-13 13:48:57', `lock_version` = 11 WHERE (`

issues`.`id` = 350 AND `issues`.`lock_version` = 10)

 if you assign the ticket to a valid user, this happens:

  (1.3ms)  UPDATE `issues` SET `assigned_to_id` = 3, `updated_on` = '2014-06-13 13:47:15', `lock_v

ersion` = 3 WHERE (`issues`.`id` = 217 AND `issues`.`lock_version` = 2)

 Environment:

Redmine version                2.5.1.stable

Ruby version                   2.0.0-p457 (2014-03-03) [i386-linux-gnu]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

History

#1 - 2014-06-15 00:44 - Jan Niggemann (redmine.org team member)

Can't reproduce on 2.5.1 / ruby 1.9.3 / rails 3.2.17 / MySQL / Debian 7.5...

#2 - 2014-07-03 06:30 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Do you use plugins?

#3 - 2015-04-14 19:31 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
